// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/dictionary_md_seed/species.proto

package dictionary_md_seed

import (
	_ "github.com/golang/protobuf/ptypes/timestamp"
	wrappers "github.com/golang/protobuf/ptypes/wrappers"
	dictionary_common "gitlab.com/fcpartners/apis/gen/dictionary/v1/dictionary_common"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type Species struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id          int64                    `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	ExternalId  int64                    `protobuf:"varint,2,opt,name=external_id,json=externalId,proto3" json:"external_id,omitempty"`
	Name        string                   `protobuf:"bytes,3,opt,name=name,proto3" json:"name,omitempty"`
	Description string                   `protobuf:"bytes,4,opt,name=description,proto3" json:"description,omitempty"`
	Audit       *dictionary_common.Audit `protobuf:"bytes,21,opt,name=audit,proto3" json:"audit,omitempty"`
}

func (x *Species) Reset() {
	*x = Species{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_seed_species_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Species) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Species) ProtoMessage() {}

func (x *Species) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_seed_species_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Species.ProtoReflect.Descriptor instead.
func (*Species) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_seed_species_proto_rawDescGZIP(), []int{0}
}

func (x *Species) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *Species) GetExternalId() int64 {
	if x != nil {
		return x.ExternalId
	}
	return 0
}

func (x *Species) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Species) GetDescription() string {
	if x != nil {
		return x.Description
	}
	return ""
}

func (x *Species) GetAudit() *dictionary_common.Audit {
	if x != nil {
		return x.Audit
	}
	return nil
}

type SpeciesFilter struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id         *wrappers.Int64Value  `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	ExternalId *wrappers.Int64Value  `protobuf:"bytes,2,opt,name=external_id,json=externalId,proto3" json:"external_id,omitempty"`
	Name       *wrappers.StringValue `protobuf:"bytes,3,opt,name=name,proto3" json:"name,omitempty"` // LIKE
	// audit
	State     *dictionary_common.StateValue `protobuf:"bytes,21,opt,name=state,proto3" json:"state,omitempty"`
	CreatedAt *dictionary_common.TimeRange  `protobuf:"bytes,22,opt,name=created_at,json=createdAt,proto3" json:"created_at,omitempty"`
	CreatedBy *wrappers.StringValue         `protobuf:"bytes,23,opt,name=created_by,json=createdBy,proto3" json:"created_by,omitempty"`
	UpdatedAt *dictionary_common.TimeRange  `protobuf:"bytes,24,opt,name=updated_at,json=updatedAt,proto3" json:"updated_at,omitempty"`
	UpdatedBy *wrappers.StringValue         `protobuf:"bytes,25,opt,name=updated_by,json=updatedBy,proto3" json:"updated_by,omitempty"`
}

func (x *SpeciesFilter) Reset() {
	*x = SpeciesFilter{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_seed_species_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SpeciesFilter) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SpeciesFilter) ProtoMessage() {}

func (x *SpeciesFilter) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_seed_species_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SpeciesFilter.ProtoReflect.Descriptor instead.
func (*SpeciesFilter) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_seed_species_proto_rawDescGZIP(), []int{1}
}

func (x *SpeciesFilter) GetId() *wrappers.Int64Value {
	if x != nil {
		return x.Id
	}
	return nil
}

func (x *SpeciesFilter) GetExternalId() *wrappers.Int64Value {
	if x != nil {
		return x.ExternalId
	}
	return nil
}

func (x *SpeciesFilter) GetName() *wrappers.StringValue {
	if x != nil {
		return x.Name
	}
	return nil
}

func (x *SpeciesFilter) GetState() *dictionary_common.StateValue {
	if x != nil {
		return x.State
	}
	return nil
}

func (x *SpeciesFilter) GetCreatedAt() *dictionary_common.TimeRange {
	if x != nil {
		return x.CreatedAt
	}
	return nil
}

func (x *SpeciesFilter) GetCreatedBy() *wrappers.StringValue {
	if x != nil {
		return x.CreatedBy
	}
	return nil
}

func (x *SpeciesFilter) GetUpdatedAt() *dictionary_common.TimeRange {
	if x != nil {
		return x.UpdatedAt
	}
	return nil
}

func (x *SpeciesFilter) GetUpdatedBy() *wrappers.StringValue {
	if x != nil {
		return x.UpdatedBy
	}
	return nil
}

type GetSpeciesRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *GetSpeciesRequest) Reset() {
	*x = GetSpeciesRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_seed_species_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetSpeciesRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetSpeciesRequest) ProtoMessage() {}

func (x *GetSpeciesRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_seed_species_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetSpeciesRequest.ProtoReflect.Descriptor instead.
func (*GetSpeciesRequest) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_seed_species_proto_rawDescGZIP(), []int{2}
}

func (x *GetSpeciesRequest) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type GetSpeciesResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Item *Species `protobuf:"bytes,1,opt,name=item,proto3" json:"item,omitempty"`
}

func (x *GetSpeciesResponse) Reset() {
	*x = GetSpeciesResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_seed_species_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetSpeciesResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetSpeciesResponse) ProtoMessage() {}

func (x *GetSpeciesResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_seed_species_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetSpeciesResponse.ProtoReflect.Descriptor instead.
func (*GetSpeciesResponse) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_seed_species_proto_rawDescGZIP(), []int{3}
}

func (x *GetSpeciesResponse) GetItem() *Species {
	if x != nil {
		return x.Item
	}
	return nil
}

type ListSpeciesRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Filter *SpeciesFilter `protobuf:"bytes,1,opt,name=filter,proto3" json:"filter,omitempty"`
	// sortable fields: id, external_id, name, created_at, updated_at
	Sorting []*dictionary_common.Sorting `protobuf:"bytes,2,rep,name=sorting,proto3" json:"sorting,omitempty"`
	// Pagination - Optional
	Pagination *dictionary_common.PaginationRequest `protobuf:"bytes,3,opt,name=pagination,proto3" json:"pagination,omitempty"`
}

func (x *ListSpeciesRequest) Reset() {
	*x = ListSpeciesRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_seed_species_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListSpeciesRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListSpeciesRequest) ProtoMessage() {}

func (x *ListSpeciesRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_seed_species_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListSpeciesRequest.ProtoReflect.Descriptor instead.
func (*ListSpeciesRequest) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_seed_species_proto_rawDescGZIP(), []int{4}
}

func (x *ListSpeciesRequest) GetFilter() *SpeciesFilter {
	if x != nil {
		return x.Filter
	}
	return nil
}

func (x *ListSpeciesRequest) GetSorting() []*dictionary_common.Sorting {
	if x != nil {
		return x.Sorting
	}
	return nil
}

func (x *ListSpeciesRequest) GetPagination() *dictionary_common.PaginationRequest {
	if x != nil {
		return x.Pagination
	}
	return nil
}

type ListSpeciesResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Items      []*Species                            `protobuf:"bytes,1,rep,name=items,proto3" json:"items,omitempty"`
	Pagination *dictionary_common.PaginationResponse `protobuf:"bytes,2,opt,name=pagination,proto3" json:"pagination,omitempty"`
}

func (x *ListSpeciesResponse) Reset() {
	*x = ListSpeciesResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_seed_species_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListSpeciesResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListSpeciesResponse) ProtoMessage() {}

func (x *ListSpeciesResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_seed_species_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListSpeciesResponse.ProtoReflect.Descriptor instead.
func (*ListSpeciesResponse) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_seed_species_proto_rawDescGZIP(), []int{5}
}

func (x *ListSpeciesResponse) GetItems() []*Species {
	if x != nil {
		return x.Items
	}
	return nil
}

func (x *ListSpeciesResponse) GetPagination() *dictionary_common.PaginationResponse {
	if x != nil {
		return x.Pagination
	}
	return nil
}

type SaveSpeciesRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Item *Species `protobuf:"bytes,1,opt,name=item,proto3" json:"item,omitempty"`
}

func (x *SaveSpeciesRequest) Reset() {
	*x = SaveSpeciesRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_seed_species_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SaveSpeciesRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SaveSpeciesRequest) ProtoMessage() {}

func (x *SaveSpeciesRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_seed_species_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SaveSpeciesRequest.ProtoReflect.Descriptor instead.
func (*SaveSpeciesRequest) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_seed_species_proto_rawDescGZIP(), []int{6}
}

func (x *SaveSpeciesRequest) GetItem() *Species {
	if x != nil {
		return x.Item
	}
	return nil
}

type SaveSpeciesResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *SaveSpeciesResponse) Reset() {
	*x = SaveSpeciesResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_seed_species_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SaveSpeciesResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SaveSpeciesResponse) ProtoMessage() {}

func (x *SaveSpeciesResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_seed_species_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SaveSpeciesResponse.ProtoReflect.Descriptor instead.
func (*SaveSpeciesResponse) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_seed_species_proto_rawDescGZIP(), []int{7}
}

func (x *SaveSpeciesResponse) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

var File_v1_dictionary_md_seed_species_proto protoreflect.FileDescriptor

var file_v1_dictionary_md_seed_species_proto_rawDesc = []byte{
	0x0a, 0x23, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f,
	0x6d, 0x64, 0x5f, 0x73, 0x65, 0x65, 0x64, 0x2f, 0x73, 0x70, 0x65, 0x63, 0x69, 0x65, 0x73, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1f, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0x1a, 0x1e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x77, 0x72, 0x61, 0x70, 0x70, 0x65, 0x72, 0x73,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d,
	0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x2c, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74,
	0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x64, 0x69,
	0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xb8, 0x01, 0x0a, 0x07, 0x53, 0x70, 0x65, 0x63, 0x69, 0x65,
	0x73, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69,
	0x64, 0x12, 0x1f, 0x0a, 0x0b, 0x65, 0x78, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x5f, 0x69, 0x64,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0a, 0x65, 0x78, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c,
	0x49, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x20, 0x0a, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69,
	0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x64, 0x65, 0x73,
	0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x40, 0x0a, 0x05, 0x61, 0x75, 0x64, 0x69,
	0x74, 0x18, 0x15, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2a, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69,
	0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74,
	0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x41, 0x75,
	0x64, 0x69, 0x74, 0x52, 0x05, 0x61, 0x75, 0x64, 0x69, 0x74, 0x4a, 0x04, 0x08, 0x05, 0x10, 0x15,
	0x22, 0x91, 0x04, 0x0a, 0x0d, 0x53, 0x70, 0x65, 0x63, 0x69, 0x65, 0x73, 0x46, 0x69, 0x6c, 0x74,
	0x65, 0x72, 0x12, 0x2b, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b,
	0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66,
	0x2e, 0x49, 0x6e, 0x74, 0x36, 0x34, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x02, 0x69, 0x64, 0x12,
	0x3c, 0x0a, 0x0b, 0x65, 0x78, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x5f, 0x69, 0x64, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x49, 0x6e, 0x74, 0x36, 0x34, 0x56, 0x61, 0x6c, 0x75,
	0x65, 0x52, 0x0a, 0x65, 0x78, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x49, 0x64, 0x12, 0x30, 0x0a,
	0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f,
	0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74,
	0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12,
	0x45, 0x0a, 0x05, 0x73, 0x74, 0x61, 0x74, 0x65, 0x18, 0x15, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2f,
	0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e,
	0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f,
	0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x65, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52,
	0x05, 0x73, 0x74, 0x61, 0x74, 0x65, 0x12, 0x4d, 0x0a, 0x0a, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65,
	0x64, 0x5f, 0x61, 0x74, 0x18, 0x16, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2e, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64,
	0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e,
	0x2e, 0x54, 0x69, 0x6d, 0x65, 0x52, 0x61, 0x6e, 0x67, 0x65, 0x52, 0x09, 0x63, 0x72, 0x65, 0x61,
	0x74, 0x65, 0x64, 0x41, 0x74, 0x12, 0x3b, 0x0a, 0x0a, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64,
	0x5f, 0x62, 0x79, 0x18, 0x17, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69,
	0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64,
	0x42, 0x79, 0x12, 0x4d, 0x0a, 0x0a, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x61, 0x74,
	0x18, 0x18, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2e, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x54, 0x69, 0x6d,
	0x65, 0x52, 0x61, 0x6e, 0x67, 0x65, 0x52, 0x09, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x41,
	0x74, 0x12, 0x3b, 0x0a, 0x0a, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x62, 0x79, 0x18,
	0x19, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61,
	0x6c, 0x75, 0x65, 0x52, 0x09, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x42, 0x79, 0x4a, 0x04,
	0x08, 0x04, 0x10, 0x15, 0x22, 0x23, 0x0a, 0x11, 0x47, 0x65, 0x74, 0x53, 0x70, 0x65, 0x63, 0x69,
	0x65, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x22, 0x52, 0x0a, 0x12, 0x47, 0x65, 0x74,
	0x53, 0x70, 0x65, 0x63, 0x69, 0x65, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x3c, 0x0a, 0x04, 0x69, 0x74, 0x65, 0x6d, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x28, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76,
	0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0x2e,
	0x53, 0x70, 0x65, 0x63, 0x69, 0x65, 0x73, 0x52, 0x04, 0x69, 0x74, 0x65, 0x6d, 0x22, 0xfc, 0x01,
	0x0a, 0x12, 0x4c, 0x69, 0x73, 0x74, 0x53, 0x70, 0x65, 0x63, 0x69, 0x65, 0x73, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x12, 0x46, 0x0a, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x2e, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0x2e, 0x53, 0x70, 0x65, 0x63, 0x69, 0x65, 0x73, 0x46, 0x69,
	0x6c, 0x74, 0x65, 0x72, 0x52, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x12, 0x46, 0x0a, 0x07,
	0x73, 0x6f, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x2c, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76,
	0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d,
	0x6d, 0x6f, 0x6e, 0x2e, 0x53, 0x6f, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x52, 0x07, 0x73, 0x6f, 0x72,
	0x74, 0x69, 0x6e, 0x67, 0x12, 0x56, 0x0a, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x36, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64,
	0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x50,
	0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x52, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0xae, 0x01, 0x0a,
	0x13, 0x4c, 0x69, 0x73, 0x74, 0x53, 0x70, 0x65, 0x63, 0x69, 0x65, 0x73, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x12, 0x3e, 0x0a, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x18, 0x01, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x28, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61,
	0x72, 0x79, 0x5f, 0x6d, 0x64, 0x2e, 0x53, 0x70, 0x65, 0x63, 0x69, 0x65, 0x73, 0x52, 0x05, 0x69,
	0x74, 0x65, 0x6d, 0x73, 0x12, 0x57, 0x0a, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x37, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64,
	0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x50,
	0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x52, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0x52, 0x0a,
	0x12, 0x53, 0x61, 0x76, 0x65, 0x53, 0x70, 0x65, 0x63, 0x69, 0x65, 0x73, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x12, 0x3c, 0x0a, 0x04, 0x69, 0x74, 0x65, 0x6d, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x28, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61,
	0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79,
	0x5f, 0x6d, 0x64, 0x2e, 0x53, 0x70, 0x65, 0x63, 0x69, 0x65, 0x73, 0x52, 0x04, 0x69, 0x74, 0x65,
	0x6d, 0x22, 0x25, 0x0a, 0x13, 0x53, 0x61, 0x76, 0x65, 0x53, 0x70, 0x65, 0x63, 0x69, 0x65, 0x73,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x42, 0x75, 0x0a, 0x2d, 0x63, 0x6f, 0x6d, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x61, 0x70, 0x69, 0x73, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
	0x79, 0x5f, 0x6d, 0x64, 0x5f, 0x73, 0x65, 0x65, 0x64, 0x50, 0x01, 0x5a, 0x3f, 0x67, 0x69, 0x74,
	0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x66, 0x63, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65,
	0x72, 0x73, 0x2f, 0x61, 0x70, 0x69, 0x73, 0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x64, 0x69, 0x63, 0x74,
	0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2f, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0x5f, 0x73, 0x65, 0x65, 0x64, 0xba, 0x02, 0x00, 0x62,
	0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_v1_dictionary_md_seed_species_proto_rawDescOnce sync.Once
	file_v1_dictionary_md_seed_species_proto_rawDescData = file_v1_dictionary_md_seed_species_proto_rawDesc
)

func file_v1_dictionary_md_seed_species_proto_rawDescGZIP() []byte {
	file_v1_dictionary_md_seed_species_proto_rawDescOnce.Do(func() {
		file_v1_dictionary_md_seed_species_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_dictionary_md_seed_species_proto_rawDescData)
	})
	return file_v1_dictionary_md_seed_species_proto_rawDescData
}

var file_v1_dictionary_md_seed_species_proto_msgTypes = make([]protoimpl.MessageInfo, 8)
var file_v1_dictionary_md_seed_species_proto_goTypes = []interface{}{
	(*Species)(nil),                              // 0: fcp.dictionary.v1.dictionary_md.Species
	(*SpeciesFilter)(nil),                        // 1: fcp.dictionary.v1.dictionary_md.SpeciesFilter
	(*GetSpeciesRequest)(nil),                    // 2: fcp.dictionary.v1.dictionary_md.GetSpeciesRequest
	(*GetSpeciesResponse)(nil),                   // 3: fcp.dictionary.v1.dictionary_md.GetSpeciesResponse
	(*ListSpeciesRequest)(nil),                   // 4: fcp.dictionary.v1.dictionary_md.ListSpeciesRequest
	(*ListSpeciesResponse)(nil),                  // 5: fcp.dictionary.v1.dictionary_md.ListSpeciesResponse
	(*SaveSpeciesRequest)(nil),                   // 6: fcp.dictionary.v1.dictionary_md.SaveSpeciesRequest
	(*SaveSpeciesResponse)(nil),                  // 7: fcp.dictionary.v1.dictionary_md.SaveSpeciesResponse
	(*dictionary_common.Audit)(nil),              // 8: fcp.dictionary.v1.dictionary_common.Audit
	(*wrappers.Int64Value)(nil),                  // 9: google.protobuf.Int64Value
	(*wrappers.StringValue)(nil),                 // 10: google.protobuf.StringValue
	(*dictionary_common.StateValue)(nil),         // 11: fcp.dictionary.v1.dictionary_common.StateValue
	(*dictionary_common.TimeRange)(nil),          // 12: fcp.dictionary.v1.dictionary_common.TimeRange
	(*dictionary_common.Sorting)(nil),            // 13: fcp.dictionary.v1.dictionary_common.Sorting
	(*dictionary_common.PaginationRequest)(nil),  // 14: fcp.dictionary.v1.dictionary_common.PaginationRequest
	(*dictionary_common.PaginationResponse)(nil), // 15: fcp.dictionary.v1.dictionary_common.PaginationResponse
}
var file_v1_dictionary_md_seed_species_proto_depIdxs = []int32{
	8,  // 0: fcp.dictionary.v1.dictionary_md.Species.audit:type_name -> fcp.dictionary.v1.dictionary_common.Audit
	9,  // 1: fcp.dictionary.v1.dictionary_md.SpeciesFilter.id:type_name -> google.protobuf.Int64Value
	9,  // 2: fcp.dictionary.v1.dictionary_md.SpeciesFilter.external_id:type_name -> google.protobuf.Int64Value
	10, // 3: fcp.dictionary.v1.dictionary_md.SpeciesFilter.name:type_name -> google.protobuf.StringValue
	11, // 4: fcp.dictionary.v1.dictionary_md.SpeciesFilter.state:type_name -> fcp.dictionary.v1.dictionary_common.StateValue
	12, // 5: fcp.dictionary.v1.dictionary_md.SpeciesFilter.created_at:type_name -> fcp.dictionary.v1.dictionary_common.TimeRange
	10, // 6: fcp.dictionary.v1.dictionary_md.SpeciesFilter.created_by:type_name -> google.protobuf.StringValue
	12, // 7: fcp.dictionary.v1.dictionary_md.SpeciesFilter.updated_at:type_name -> fcp.dictionary.v1.dictionary_common.TimeRange
	10, // 8: fcp.dictionary.v1.dictionary_md.SpeciesFilter.updated_by:type_name -> google.protobuf.StringValue
	0,  // 9: fcp.dictionary.v1.dictionary_md.GetSpeciesResponse.item:type_name -> fcp.dictionary.v1.dictionary_md.Species
	1,  // 10: fcp.dictionary.v1.dictionary_md.ListSpeciesRequest.filter:type_name -> fcp.dictionary.v1.dictionary_md.SpeciesFilter
	13, // 11: fcp.dictionary.v1.dictionary_md.ListSpeciesRequest.sorting:type_name -> fcp.dictionary.v1.dictionary_common.Sorting
	14, // 12: fcp.dictionary.v1.dictionary_md.ListSpeciesRequest.pagination:type_name -> fcp.dictionary.v1.dictionary_common.PaginationRequest
	0,  // 13: fcp.dictionary.v1.dictionary_md.ListSpeciesResponse.items:type_name -> fcp.dictionary.v1.dictionary_md.Species
	15, // 14: fcp.dictionary.v1.dictionary_md.ListSpeciesResponse.pagination:type_name -> fcp.dictionary.v1.dictionary_common.PaginationResponse
	0,  // 15: fcp.dictionary.v1.dictionary_md.SaveSpeciesRequest.item:type_name -> fcp.dictionary.v1.dictionary_md.Species
	16, // [16:16] is the sub-list for method output_type
	16, // [16:16] is the sub-list for method input_type
	16, // [16:16] is the sub-list for extension type_name
	16, // [16:16] is the sub-list for extension extendee
	0,  // [0:16] is the sub-list for field type_name
}

func init() { file_v1_dictionary_md_seed_species_proto_init() }
func file_v1_dictionary_md_seed_species_proto_init() {
	if File_v1_dictionary_md_seed_species_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_v1_dictionary_md_seed_species_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Species); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_seed_species_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SpeciesFilter); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_seed_species_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetSpeciesRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_seed_species_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetSpeciesResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_seed_species_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListSpeciesRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_seed_species_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListSpeciesResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_seed_species_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SaveSpeciesRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_seed_species_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SaveSpeciesResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_dictionary_md_seed_species_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   8,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_v1_dictionary_md_seed_species_proto_goTypes,
		DependencyIndexes: file_v1_dictionary_md_seed_species_proto_depIdxs,
		MessageInfos:      file_v1_dictionary_md_seed_species_proto_msgTypes,
	}.Build()
	File_v1_dictionary_md_seed_species_proto = out.File
	file_v1_dictionary_md_seed_species_proto_rawDesc = nil
	file_v1_dictionary_md_seed_species_proto_goTypes = nil
	file_v1_dictionary_md_seed_species_proto_depIdxs = nil
}
